SettingButton.prototype = Object.create(BasicButton.prototype);
SettingButton.constructor = SettingButton;

function SettingButton(clickEvent) {
	var setting = new ButtonSetting(984, MainMenu.MAIN_MENU_HEIGHT / 2, 60, 60);
	setting.setStrokeWidth(0);
	setting.setRound(30);
	// setting.setFont("Nanum Brush Script");
	setting.setFont("Nanum Gothic");
	setting.setFontSize(20);
	setting.fontStyle.boundsAlignH = "center";	// left, center. right
	setting.fontStyle.boundsAlignV = "middle";	// top, middle, bottom
	setting.setStrokeColor(
		SettingButton.STROKE_COLOR_OUT_HEX,
		SettingButton.STROKE_COLOR_OVER_HEX,
		SettingButton.STROKE_COLOR_DOWN_HEX,
		SettingButton.STROKE_COLOR_DISABLED_HEX
	);
	setting.setButtonColor(
		SettingButton.BUTTON_COLOR_OUT_HEX,
		SettingButton.BUTTON_COLOR_OVER_HEX,
		SettingButton.BUTTON_COLOR_DOWN_HEX,
		SettingButton.BUTTON_COLOR_DISABLED_HEX
	);
	setting.setIconColor(
		SettingButton.BUTTON_COLOR_OUT_HEX,
		SettingButton.BUTTON_COLOR_OVER_HEX,
		SettingButton.BUTTON_COLOR_DOWN_HEX,
		SettingButton.BUTTON_COLOR_DISABLED_HEX
	);
	setting.setTextColor(
		SettingButton.TEXT_COLOR_OUT_HEX,
		SettingButton.TEXT_COLOR_OVER_HEX,
		SettingButton.TEXT_COLOR_DOWN_HEX,
		SettingButton.TEXT_COLOR_DISABLED_HEX
	);


	BasicButton.call(this, setting, clickEvent);

	this.setMainText("설정");
	// this.setMainText("Setting");
	// this.addIcon("tile_choco");
	// this.setIconSize(40);
	// this.setShortcutText("[단축키]");
	// this.setShortcutText("Setting");
}

SettingButton.STROKE_COLOR_OUT_HEX			= MainColor.DARK_CHOCO_HEX;
SettingButton.STROKE_COLOR_OVER_HEX			= MainColor.DARK_CHOCO_HEX;
SettingButton.STROKE_COLOR_DOWN_HEX			= MainColor.DARK_CHOCO_HEX;
SettingButton.STROKE_COLOR_DISABLED_HEX		= MainColor.DARK_CHOCO_HEX;

SettingButton.BUTTON_COLOR_OUT_HEX			= MainColor.DARK_CHOCO_HEX;
SettingButton.BUTTON_COLOR_OVER_HEX			= MainColor.LIGHTER_CHOCO_HEX;
SettingButton.BUTTON_COLOR_DOWN_HEX			= MainColor.LIGHT_CHOCO_HEX;
SettingButton.BUTTON_COLOR_DISABLED_HEX		= MainColor.BLACK_HEX;

SettingButton.TEXT_COLOR_OUT_HEX			= MainColor.WHITE_STRING;
SettingButton.TEXT_COLOR_OVER_HEX			= MainColor.DARK_CHOCO_STRING;
SettingButton.TEXT_COLOR_DOWN_HEX			= MainColor.LIGHTER_CHOCO_STRING;
SettingButton.TEXT_COLOR_DISABLED_HEX		= MainColor.GREY_STRING;